VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
TestBase Class Referenceabstract

Test Helper. More...

`#include <testbase.h>`

Inheritance diagram for TestBase:

## Public Member Functions
| TestBase (ITestPlugProvider *plugProvider)
virtual | ~TestBase ()
virtual const char * | getName () const =0
DECLARE_FUNKNOWN_METHODS bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *) SMTG_OVERRIDE=0
bool | teardown () SMTG_OVERRIDE
virtual bool | activateMainIOBusses (bool val)
virtual void | printTestHeader (ITestResult *testResult)
Public Member Functions inherited from ITest
virtual const char * | getDescription ()
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Protected Attributes
ITestPlugProvider * | plugProvider
IComponent * | vstPlug
IEditController * | controller

## Additional Inherited Members
Static Public Attributes inherited from ITest
static const FUID | iid

## Detailed Description

Test Helper.

## Constructor & Destructor Documentation

TestBase | ( | ITestPlugProvider * | plugProvider | ) |

~TestBase | ( |  | ) |
| virtual

## Member Function Documentation

virtual const char* getName | ( |  | ) | const
| pure virtual

bool setup | ( |  | ) |
| virtual

Implements ITest.

Reimplemented in TestEnh.

bool run | ( | ITestResult * |  | ) |
| pure virtual

Implements ITest.

bool teardown | ( |  | ) |
| virtual

Implements ITest.

Reimplemented in TestEnh.

bool activateMainIOBusses | ( | bool | val | ) |
| virtual

void printTestHeader | ( | ITestResult * | testResult | ) |
| virtual

## Member Data Documentation

ITestPlugProvider* plugProvider
| protected

IComponent* vstPlug
| protected

IEditController* controller
| protected

Empty

Copyright ©2022 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.